@keyframes top-right-curve {
    from {
        opacity: 0;
        -webkit-border-top-right-radius: 0;
        -moz-border-radius-topright: 0;
        border-top-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-right-radius: 300px;
        -moz-border-radius-topright: 300px;
        border-top-right-radius: 300px;
    }
}

@keyframes top-left-curve {
    from {
        opacity: 0;
        -webkit-border-top-left-radius: 0;
        -moz-border-radius-topleft: 0;
        border-top-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-left-radius: 300px;
        -moz-border-radius-topleft: 300px;
        border-top-left-radius: 300px;
    }
}

@keyframes bottom-left-curve {
    from {
        opacity: 0;
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-bottom-left-radius: 300px;
        -moz-border-radius-bottomleft: 300px;
        border-bottom-left-radius: 300px;
    }
}

@keyframes line-reveal {
    from {
        /* opacity: 1; */
        width: 100%;
    }

    to {
        /* opacity: 0; */
        width: 0;
    }
}

@keyframes fade-in {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

body {
    display: block;
}

main {
    display: block;
    margin: 24pt 12pt;
    padding: 0 12pt;
}

/* Main structure */
.container-main {
    /* Layout */
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    position: relative;
    grid-gap: 18pt;

    /* Spacing */
    padding: 24pt 18pt 36pt 12pt;

    /* Borders */
    border-top: 1pt solid var(--color-main-dark);
    /* border-right: 1pt solid var(--color-main-dark); */
    /* border-left: 1pt solid var(--color-main-dark); */

    /* Border Radius */
    /* animation: top-right-curve 1.25s ease forwards; */
}

.container-main-title {
    font-size: var(--fs-label);
    text-transform: uppercase;
    position: absolute;
    top: -14pt;
    left: 12pt;
    background-color: var(--color-main-light);
    padding: 0 4pt;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.container-main-search {
    font-size: var(--fs-label);
    text-transform: uppercase;
    position: absolute;
    top: -14pt;
    left: 50%;
    background-color: var(--color-main-light);
    padding: 0 4pt;
    /* background-color: red; */
}

.left article {
    /* padding-left: 12pt; */
    display: grid;
    grid-template-columns: repeat(6, 1fr);
}

.filler-line {
    /* height: 36pt; */
    grid-column: 1 / 2;
}

.article-container {
    grid-column: 2 / 7;
    display: block;
    margin: 0 0 12pt 0;
}

.article-data {
    position: relative;
    color: var(--color-supp-lavender);
    border-bottom: 1pt solid var(--color-main-dark);
    display: flex;
    justify-content: space-between;
}

.article-data::after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border-bottom: 2pt solid var(--color-main-light);
    -webkit-animation: line-reveal 1s ease forwards;
    animation: line-reveal 1s ease forwards;
}

.article-title {
    font-size: var(--fs-lead);
}

.left {
    grid-column: 1 / 2;

    /* background-color: red; */
}

.right {
    grid-column: 2 / 3;
    /* background-color: turquoise; */
}

/* News logic */
.news-item {
    border-bottom: 1pt solid var(--color-main-dark);
    border-left: 1pt solid var(--color-main-dark);

    animation: bottom-left-curve 3s ease forwards;

    cursor: pointer;
    color: var(--color-main-dark);
    transition: color 0.3s ease;
}

.news-item.active {
    color: var(--color-supp-lavender);
}

.news-detail {
    display: none;
}

.news-detail.active {
    animation: fade-in 0.5s ease forwards;
    display: block;
}


@media screen and (min-width: 375px) and (max-width: 768px) {
    main {
        margin: 24pt auto;
        padding: 0 9pt;
    }

    article {
        display: block;
        border: 0;
    }

    .container-main {
        padding: 0 12pt;
        display: block;
    }

    .container-main-title {
        left: 0;
        margin-left: 50%;
        transform: translateX(-50%);
    }

    .container-main-search {
        display: none;
    }

    .news-item {
        margin: 12pt 0 24pt 0;
        position: relative;
        top: auto;
        border: 0;
    }

    .article-container{
        grid-column: 1/7;
    }

    .right {
        display: none;
    }
}